<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PluginRepositoriesSpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PluginRepositoriesSpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/plugin/repository/MavenPluginRepository.html" title="interface in org.gradle.plugin.repository"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/plugin/repository/PluginRepository.html" title="interface in org.gradle.plugin.repository"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugin/repository/PluginRepositoriesSpec.html" target="_top">Frames</a></li>
<li><a href="PluginRepositoriesSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugin.repository</div>
<h2 title="Interface PluginRepositoriesSpec" class="title">Interface PluginRepositoriesSpec</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">PluginRepositoriesSpec</span></pre>
<div class="block">Used to declare <a href="../../../../org/gradle/plugin/repository/PluginRepository.html" title="interface in org.gradle.plugin.repository"><code>PluginRepository</code></a> instances.
 <p>
 Plugin repositories added via this interface will used to resolve plugins specified
 in the <code>plugins {}</code> block.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugin/repository/GradlePluginPortal.html" title="interface in org.gradle.plugin.repository">GradlePluginPortal</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/repository/PluginRepositoriesSpec.html#gradlePluginPortal()">gradlePluginPortal</a></strong>()</code>
<div class="block">Adds the Gradle Plugin Portal (plugins.gradle.org) as a plugin repository.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html" title="interface in org.gradle.plugin.repository">IvyPluginRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/repository/PluginRepositoriesSpec.html#ivy(org.gradle.api.Action)">ivy</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html" title="interface in org.gradle.plugin.repository">IvyPluginRepository</a>&gt;&nbsp;action)</code>
<div class="block">Adds and configures an <a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html" title="interface in org.gradle.plugin.repository"><code>IvyPluginRepository</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/plugin/repository/MavenPluginRepository.html" title="interface in org.gradle.plugin.repository">MavenPluginRepository</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/plugin/repository/PluginRepositoriesSpec.html#maven(org.gradle.api.Action)">maven</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/plugin/repository/MavenPluginRepository.html" title="interface in org.gradle.plugin.repository">MavenPluginRepository</a>&gt;&nbsp;action)</code>
<div class="block">Adds and configures a <a href="../../../../org/gradle/plugin/repository/MavenPluginRepository.html" title="interface in org.gradle.plugin.repository"><code>MavenPluginRepository</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="maven(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maven</h4>
<pre><a href="../../../../org/gradle/plugin/repository/MavenPluginRepository.html" title="interface in org.gradle.plugin.repository">MavenPluginRepository</a>&nbsp;maven(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/plugin/repository/MavenPluginRepository.html" title="interface in org.gradle.plugin.repository">MavenPluginRepository</a>&gt;&nbsp;action)</pre>
<div class="block">Adds and configures a <a href="../../../../org/gradle/plugin/repository/MavenPluginRepository.html" title="interface in org.gradle.plugin.repository"><code>MavenPluginRepository</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to use to configure the repository.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The added repository.</dd></dl>
</li>
</ul>
<a name="ivy(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ivy</h4>
<pre><a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html" title="interface in org.gradle.plugin.repository">IvyPluginRepository</a>&nbsp;ivy(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html" title="interface in org.gradle.plugin.repository">IvyPluginRepository</a>&gt;&nbsp;action)</pre>
<div class="block">Adds and configures an <a href="../../../../org/gradle/plugin/repository/IvyPluginRepository.html" title="interface in org.gradle.plugin.repository"><code>IvyPluginRepository</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to use to configure the repository.</dd>
<dt><span class="strong">Returns:</span></dt><dd>the added repository.</dd></dl>
</li>
</ul>
<a name="gradlePluginPortal()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>gradlePluginPortal</h4>
<pre><a href="../../../../org/gradle/plugin/repository/GradlePluginPortal.html" title="interface in org.gradle.plugin.repository">GradlePluginPortal</a>&nbsp;gradlePluginPortal()</pre>
<div class="block">Adds the Gradle Plugin Portal (plugins.gradle.org) as a plugin repository.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The added repository.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if called more than once.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/plugin/repository/MavenPluginRepository.html" title="interface in org.gradle.plugin.repository"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/plugin/repository/PluginRepository.html" title="interface in org.gradle.plugin.repository"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/plugin/repository/PluginRepositoriesSpec.html" target="_top">Frames</a></li>
<li><a href="PluginRepositoriesSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
